diff -Naur policycoreutils-1.33.12.orig/scripts/fixfiles policycoreutils-1.33.12/scripts/fixfiles
--- policycoreutils-1.33.12.orig/scripts/fixfiles	2007-01-11 19:01:39.000000000 +0000
+++ policycoreutils-1.33.12/scripts/fixfiles	2009-10-21 11:59:54.000000000 +0100
@@ -27,7 +27,6 @@
 FORCEFLAG=""
 DIRS=""
 RPMILES=""
-OUTFILES=""
 LOGFILE=`tty`
 if [ $? != 0 ]; then
     LOGFILE="/dev/null"
@@ -92,7 +91,7 @@
 		      ! \( -fstype ext2 -o -fstype ext3 -o -fstype jfs -o -fstype xfs \) -prune  -o \
 		      \( -wholename /home -o -wholename /root -o -wholename /tmp -wholename /dev \) -prune -o -print; \
 		      done 2> /dev/null | \
-	 ${RESTORECON} $2 -v -f - 
+	${RESTORECON} ${FORCEFLAG} $* -v -f - 
 	rm -f ${TEMPFILE} ${PREFCTEMPFILE}
 fi
 }
@@ -116,12 +115,12 @@
 #
 restore () {
 if [ ! -z "$PREFC" ]; then
-    diff_filecontext $1
+    diff_filecontext $*
     exit $?
 fi
 if [ ! -z "$RPMFILES" ]; then
     for i in `echo "$RPMFILES" | sed 's/,/ /g'`; do
-	rpmlist $i | ${RESTORECON} ${OUTFILES} ${FORCEFLAG} $* -i -f - 2>&1 >> $LOGFILE
+	rpmlist $i | ${RESTORECON} ${FORCEFLAG} $* -i -f - 2>&1 >> $LOGFILE
     done
     exit $?
 fi
@@ -129,16 +128,16 @@
     if [ -x /usr/bin/find ]; then
 	for d in ${DIRS} ; do find $d \
 	    ! \( -fstype ext2 -o -fstype ext3 -o -fstype jfs -o -fstype xfs \) -prune  -o -print | \
-	    ${RESTORECON} ${OUTFILES} ${FORCEFLAG} $* -f - 2>&1 >> $LOGFILE
+	    ${RESTORECON} ${FORCEFLAG} $* -f - 2>&1 >> $LOGFILE
 	done
     else
-	${RESTORECON} ${OUTFILES} ${FORCEFLAG} -R $* $DIRS 2>&1 >> $LOGFILE
+	${RESTORECON} ${FORCEFLAG} -R $* $DIRS 2>&1 >> $LOGFILE
     fi
 
     exit $?
 fi
 LogReadOnly
-${SETFILES} ${OUTFILES} ${SYSLOGFLAG} ${FORCEFLAG} $* ${FC} ${FILESYSTEMSRW} 2>&1 >> $LOGFILE
+${SETFILES} ${SYSLOGFLAG} ${FORCEFLAG} $* ${FC} ${FILESYSTEMSRW} 2>&1 >> $LOGFILE
 exit $?
 }
 
@@ -173,9 +172,11 @@
 }
 
 usage() {
-      	echo $"Usage: $0 [-l logfile ] [-o outputfile ] { check | restore|[-F] relabel } [[dir] ... ] "
+      	echo $"Usage: $0 [-F] [-l logfile ] { check | restore| [-f] relabel | verify } [[dir/file] ... ] "
 	echo or
-      	echo $"Usage: $0 -R rpmpackage[,rpmpackage...] -C PREVIOUS_FILECONTEXT [-l logfile ] [-o outputfile ] { check | restore }"
+      	echo $"Usage: $0 [-F] -R rpmpackage[,rpmpackage...] [-l logfile ] { check | restore | verify }"
+	echo or
+      	echo $"Usage: $0 [-F] -C PREVIOUS_FILECONTEXT { check | restore | verify }"
 }
 
 if [ $# = 0 ]; then
@@ -184,7 +185,7 @@
 fi
 
 # See how we were called.
-while getopts "C:Ffo:R:l:" i; do
+while getopts "C:FfR:l:" i; do
     case "$i" in
 	f)
 		fullFlag=1
@@ -192,9 +193,6 @@
         R)
 		RPMFILES=$OPTARG
 		;;
-        o)
-		OUTFILES=$OPTARG
-		;;
         l)
 		LOGFILE=$OPTARG
 		;;
diff -Naur policycoreutils-1.33.12.orig/scripts/fixfiles.8 policycoreutils-1.33.12/scripts/fixfiles.8
--- policycoreutils-1.33.12.orig/scripts/fixfiles.8	2007-01-11 19:01:39.000000000 +0000
+++ policycoreutils-1.33.12/scripts/fixfiles.8	2009-10-21 15:58:18.000000000 +0100
@@ -3,9 +3,14 @@
 fixfiles \- fix file security contexts.
 
 .SH "SYNOPSIS"
-.B fixfiles [-F] [ -R rpmpackagename[,rpmpackagename...] ] [ -C PREVIOUS_FILECONTEXT ] [-l logfile ] [-o outputfile ] { check | restore | [-F] relabel | verify }"
-
-.B fixfiles [-F] [-l logfile ] [-o outputfile ] { check | restore|[-f] relabel | verify } [[dir/file] ... ] 
+.B fixfiles
+.I [-F] [-l logfile ] { check | restore | [-f] relabel | verify } [[dir/file] ... ] 
+.P
+.B fixfiles
+.I [-F] -R rpmpackagename[,rpmpackagename... ] [-l logfile ] { check | restore | verify }
+.P
+.B fixfiles
+.I [-F] -C PREVIOUS_FILECONTEXT [-l logfile ] { check | restore | verify }
 
 .SH "DESCRIPTION"
 This manual page describes the
@@ -26,10 +31,6 @@
 .B -l logfile
 Save the output to the specified logfile
 .TP 
-.B -o outputfile
-Save all files that have file_context that differs from the default, in outputfile.
-
-.TP 
 .B -F
 Force  reset  of  context to match file_context for customizable files

